## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%global gittag v1.7.5
#%%global commit 5c8e8ee43ccea13d69b232abd741b653c40c331c
#%%global shortcommit %%(c=%%{commit}; echo ${c:0:7})
#%%global date 20230904

Name:           libahp-gt
Version:        1.7.5
Release:        %autorelease
Summary:        Driver library for the AHP GT Controllers
License:        MIT
URL:            https://github.com/ahp-electronics/%{name}
%if "%{?gittag}"
Source0:        %{url}/archive/%{gittag}/%{name}-%{version}.tar.gz
%else
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz
%endif

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  systemd-rpm-macros

Requires:       systemd-udev

%description
Driver library for the AHP GT Controllers.


%package devel
Summary:        Development files %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake-filesystem

%description devel
These are the header files needed to develop a
%{name} application


%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

Provides:       bundled(js-jquery)

%description doc
Documentation of the AHP GT Controllers API.


%prep
%if "%{?gittag}"
%autosetup -p1
%else
%autosetup -n %{name}-%{commit} -p1
%endif

# Fix cmake module installation directory
sed -i 's#cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules#cmake/Modules#g' CMakeLists.txt


%build
%cmake
%cmake_build


%install
%cmake_install

mkdir -p %{buildroot}%{_pkgdocdir}
cp -r %_vpath_builddir/docs %{buildroot}%{_pkgdocdir}


%files
%license LICENSE
%doc CITATION.cff
%{_libdir}/libahp_gt.so.1*
%{_udevrulesdir}/99-libahp-gt.rules

%files devel
%dir %{_includedir}/ahp
%{_includedir}/ahp/ahp_gt.h
%{_libdir}/libahp_gt.so
%{_datadir}/cmake/Modules/FindAHPGT.cmake

%files doc
%doc %{_pkgdocdir}/docs


%changelog
## START: Generated by rpmautospec
* Wed Jun 04 2025 Mattia Verga <mattia.verga@proton.me> - 1.7.5-1
- Update to 1.7.5 (Fedora#2347585)

* Wed Jan 22 2025 Mattia Verga <mattia.verga@proton.me> - 1.7.2-1
- Fix F42 FTB (fedora#2340715)
- Update to 1.7.2 (fedora#2333649)
- Disable build on i686

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 06 2024 Mattia Verga <mattia.verga@proton.me> - 1.7.0-1
- Update to 1.7.0

* Sun Oct 06 2024 Mattia Verga <mattia.verga@proton.me> - 1.6.7-1
- Update to 1.6.7 (fedora#2311853)

* Fri Aug 02 2024 Mattia Verga <mattia.verga@proton.me> - 1.6.5-1
- Update to 1.6.5 (fedora#2252436)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2^20230904.5c8e8ee-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2^20230904.5c8e8ee-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2^20230904.5c8e8ee-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 11 2023 Mattia Verga <mattia.verga@proton.me> - 1.6.2^20230904.5c8e8ee-1
- Initial commit (fedora#2237299)
## END: Generated by rpmautospec
